Subject: Re: [sipcore] WGLC for draft-ietf-sipcore-rfc4244bis-callflows-01 Section 3.11

From: [email-masked] (Dale R. Worley)
Date: Tue, 6 Nov 2012 13:50:52 -0500 (EST)

> From: Paul Kyzivat <[email-masked]>
> 
> If the response was small enough to reach the proxy, then it should be 
> small enough to reach the UAC. (It gets smaller with each hop due to 
> removal of Via header fields.)
> 
> I guess this might not be true if link characteristics are different, or 
> if the first hop was UDP and the subsequent hops were TCP.

If I remember correctly, the worry was that link characteristics of
the last-hop were different from those of the "core" network.  Either
the last-hop was UDP and the core hops were TCP, or the last-hop link
was much less reliable, leading to a desire to avoid packet
fragmentation for fear of increasing the lost-packet rate
unacceptably.

> But if PDU size is a concern, why isn't it a concern on every hop? 
> Should there have been some dispensation that H-I can be pruned in 
> responses if necessary to reduce PDU size?
> 
> One concern I had was if the first proxy is dialog-stateless. Then it 
> will have to go to extra work to remember that the H-I should not be 
> passed in the response. (Dale remineded me that a stateless proxy can do 
> this by putting a flag in its Via.) This wouldn't be such an issue if 
> returning the H-I in this case is optional.

Dale